<ZKN:gerelateerde>
[%- IF subject.exists('medewerker') -%]
    <ZKN:medewerker StUF:entiteittype="MDW"[% IF verwerkingssoort %] StUF:verwerkingssoort="[% verwerkingssoort | xml %]"[% END %]>
        <ZKN:identificatie>[% get_xml_compile_value(subject.medewerker.identificatie) | xml %]</ZKN:identificatie>
    </ZKN:medewerker>
[%- ELSIF subject.exists('natuurlijkPersoon') -%]
    <ZKN:natuurlijkPersoon StUF:entiteittype="NPS"[% IF verwerkingssoort %] StUF:verwerkingssoort="[% verwerkingssoort | xml %]"[% END %]>

    [% IF message_type != 'stufdcr' %]
    [%- bsn = get_xml_compile_value(subject.natuurlijkPersoon.item('inp.bsn'));
      bsn = bsn FILTER format('%09d') %]
      <BG:inp.bsn>[% bsn | xml %]</BG:inp.bsn>
      [%- IF subject.natuurlijkPersoon.exists('authentiek') -%]
      <BG:authentiek StUF:metagegeven="true">[% subject.natuurlijkPersoon.authentiek | xml %]</BG:authentiek>
      [%- END -%]
    [%- ELSE -%]
    [%# STUF DCR -%]
        [%- np = subject.natuurlijkPersoon.object -%]
        [% object_as_node(np, 'bsn', 'BG:inp.bsn', 1) %]
        [%- IF subject.natuurlijkPersoon.exists('authentiek') -%]
        <BG:authentiek StUF:metagegeven="true">[% subject.natuurlijkPersoon.authentiek | xml %]</BG:authentiek>
        [%- END -%]
        [% object_as_node(np, 'geslachtsnaam', 'BG:geslachtsnaam', 1) %]
        [% object_as_node(np, 'voorvoegsel', 'BG:voorvoegselGeslachtsnaam', 1) %]
        [% object_as_node(np, 'voorletters', 'BG:voorletters', 1) %]
        [% object_as_node(np, 'voornamen', 'BG:voornamen', 1) %]
        [% object_as_node(np, 'aanduiding_naamgebruik', 'BG:aanduidingNaamgebruik', 1) %]
        [% object_as_node(np, 'partner_geslachtsnaam', 'BG:geslachtsnaamPartner', 1) %]
        [% object_as_node(np, 'partner_voorvoegsel', 'BG:voorvoegselGeslachtsnaamPartner', 1) %]
        [% object_as_node(np, 'aanhef_aanschrijving', 'BG:aanhefAanschrijving', 1) %]
        [% object_as_node(np, 'voornamen_aanschrijving', 'BG:voornamenAanschrijving', 1) %]
        [% object_as_node(np, 'naam_aanschrijving', 'BG:geslachtsnaamAanschrijving', 1) %]
        [% object_as_node(np, 'adellijke_titel', 'BG:adellijkeTitelPredikaat', 1) %]
        [% object_as_node(np, 'geslachtsaanduiding', 'BG:geslachtsaanduiding', 1) %]
        [%- address = np.adres_id -%]
        [%- IF address %]
          [%- IF address.functie_adres == 'W' %]
            [%- INCLUDE "common/cho_verblijfsadres.xml" -%]
          [%- ELSE -%]
            [%- INCLUDE "common/correspondentieadres.xml" -%]
          [%- END -%]
        [%- END -%]
      [% END %]
    </ZKN:natuurlijkPersoon>
[%- ELSIF subject.exists('vestiging'); %]
    <ZKN:vestiging StUF:entiteittype="VES"[% IF verwerkingssoort %] StUF:verwerkingssoort="[% verwerkingssoort | xml %]"[% END %]>
        [%- IF subject.vestiging.exists('vestigingsNummer');
            ves = get_xml_compile_value(subject.vestiging.vestigingsNummer);
            ves = ves FILTER format('%012d'); %]
        <BG:vestigingsNummer>[% ves | xml %]</BG:vestigingsNummer>
        [%- END %]
        <BG:handelsnaam>[% get_xml_compile_value(subject.vestiging.handelsnaam) | xml %]</BG:handelsnaam>
        [% IF message_type == 'stufdcr' %]
          [%- address = subject.vestiging.object -%]
          [%- IF subject.vestiging.object.has_visiting_address -%]
              [%- INCLUDE "common/cho_verblijfsadres.xml" -%]
          [%- ELSIF subject.vestiging.object.has_correspondence_address -%]
              [%- INCLUDE "common/correspondentieadres.xml" -%]
          [%- END -%]
        [%- END -%]
    </ZKN:vestiging>
[%- ELSE %]
      [% THROW "unknown_initiator_type" "Unknown initiator type" %]
[%- END -%]
</ZKN:gerelateerde>
[%- IF subject.exists('vestiging') && subject.vestiging.exists('dossierNummer');
    kvk = get_xml_compile_value(subject.vestiging.dossierNummer);
    kvk = kvk FILTER format('%08d'); %]
<StUF:extraElementen>
  <StUF:extraElement naam="kvkNummer">[% kvk | xml %]</StUF:extraElement>
</StUF:extraElementen>
[%- END %]
